||==========================||
||   VeryIDE 版本更新日志             ||
||==========================||

+--------------------------------------+
VeryIDE Apps 1.5.7 Build 2009.07.20
+--------------------------------------+

修正 广告系统文档DTD判断BUG(与主JS放置的位置有关)
修正 专题系统中系统模块状态的判断失误BUG
修正 广告系统中Flash广告尺寸不对的BUG
修正 广告系统中广告修改时对 "展示间隔" 错误判断的BUG
修正 专题系统新增模块时Select选中状态判断错误的BUG
修正 GBK版表单数据导出中文乱码的BUG
修正 GBK版系统日志 "城市" 中文乱码的BUG
修正 专题系统中 XML 数据对 "非主流" 字符的支持[重要]
修正 表单系统 "值有效性" 设置失效的BUG
修正 整合UCenter登录不能读取论坛已有Cookies的BUG[重要]
修正 选票系统用户数据不能正确导出的BUG
修正 表单等页面引用HTML不能正常拖拉尺寸的BUG
修正 表单/选票/试题/擂台用户列表分页链接丢失时间参数的BUG
修正 试题用户列表搜索分页链接丢失参数的BUG

更新 JS扩展库大幅优化,去掉多余相似函数
更新 抽奖应用中改进信息提示方式(alert)
更新 全部JS引用带上版本号参数,以确保浏览器被更新
更新 表单全部应用改变表单过期时展现方式,将禁用提交按钮[重要]
更新 广告编辑增加 "高级选项" 自动记忆功能
更新 广告编辑增加自动填写图片尺寸功能
更新 Flash 广告载入方式更改为 IFrame 形式,更好的页面兼容性
更新 增加后台操作页面表单行距
更新 广告主JS执行效率大幅度优化,对Cookies和浏览器信息查询减少
更新 为文件管理列表添加图片即时预览功能
更新 文件上传算法调整,更适合扩展和加强了安全验证
更新 表单/选票/试题 部分功能按钮更改为链接样式,节省版面
更新 表单/选票/试题 用户信息栏增加换行控制标签(span),需与CSS配合使用

新增 专题系统增加 "满栏" 布局模式
新增 专题系统增加 "大旗" 皮肤风格
新增 专题系统增加 "小提示" 功能,定时随机显示一条
新增 专题系统增加模块 "隐藏边框" 和 "隐藏标题" 功能
新增 专题系统右侧浮动菜单增加 "保存数据" 快速链接
新增 专题系统顶部标题栏高度自由调节
新增 专题系统顶部标题栏背景增加位置控制
新增 选票系统选项票数显示标签,在投票页直接查看当前票数[重要]
新增 表单验证组件增加对正则表达式的支持
新增 授权与免费版醒目区分标识
新增 安装页增加安装进度提示
新增 表单/选票/试题增加隐藏标题功能
新增 页面操作小提示功能,用于操作引导
新增 表单应用增加 "文件上传" 项目类型,并可以设置允许上传的文件类型
新增 表单和试题应用增加 "隐藏编号" ,用于将表单选项前的自动编号进行隐藏
新增 广告系统增加非主编码调用JS,UTF-8成生GBK调用JS,GBK成生UTF-8调用JS
新增 表单/选票/试题增加快速查看(调用)相关数据功能
新增 表单/选票/试题用户列表增加行快速选择功能

+--------------------------------------+
VeryIDE Apps 1.5.6 Build 2009.06.23
+--------------------------------------+

修正 GBK版广告分类乱码的问题
修正 专题表单描述项错误的问题
修正 程序安装在子目录时,表单等应用地址错误
修正 Ajax窗口尺寸书写格式兼容性
修正 广告点击/统计等URL请求过程中会跳转一次的BUG [重要]
修正 试题系统编辑选项组时错误赋值的错误
修正 专题系统编辑页几处链接错误
修正 内置表单结果查看页几处错误
修正 专题系统新增模块在FF中鼠标事件出错的BUG
修正 专题系统中取色器定位的误差

更新 表单等Ajax应用的全面优化
更新 顶部快捷链接调整
更新 安装处理页面重写,优化了用户体验
更新 表单等列表标题链接为生成的页面地址
更新 优化滑出广告处理方式,提前展示时间
更新 优化对联广告处理方式,提前展示时间
更新 皮肤风格中部分字体显示更改为"微软雅黑"
更新 广告排行新增箭头图标指示
更新 广告系统数据库请求较大优化,减轻服务器负担
更新 页面多处增加 Tips 小提示功能
更新 全部应用风格皮肤增补预览图
更新 文档DTD判断文式,更为准确有效

新增 风格切换自动保存的功能
新增 表单结果页选项百分比显示颜色随机更换功能
新增 广告位"包裹标签",用于每条广告使用HTML标签包裹
新增 广告统计分析中对微软Bing(必应)搜索引擎的识别支持
新增 Flash图片轮换广告形式,支持多图自动切换
新增 广告主JS文件迷你(Mini)调用文件,去掉了不必要功能,减少文件大小
新增 专题系统增加幻灯片模块,用来展示多张图片轮换
新增 表单和试题应用新增子选项换行控制选项
新增 试题应用新增选项组随机排序显示功能
新增 veryide/dialog 目录,用来存放静态的HTML功能文件
新增 全部专题一键更新缓存功能
新增 表单系统新增 11套新皮肤风格
新增 veryide.core.php 用于快速引用 VI_ROOT 系统变量
新增 在所有表单提交部分进行基础验证功能,减少无效表单提交
新增 专题系统增加弹出窗口被阻止时的信息提示

+--------------------------------------+
VeryIDE Apps 1.5.5 Build 2009.06.07
+--------------------------------------+

修正 代码广告无法正常输出的问题
修正 选票系统 $INPUT 变量无法正常处理的BUG
修正 专题系统 PNG 背景没有显示透明的BUG
修正 专题系统顶部菜单文字与按钮参差不齐的问题
修正 上传文件失效的BUG

更新 UBB文本框增加尺寸拖动按钮,方便快速调节文本框大小
更新 将广告效果中访问报表中"空"项更名为"直接访问"
更新 将广告中代码字段加大,更改为text类型
更新 Ajax窗口支持百分比尺寸调用,更好适用于更多分辨率
更新 优化了搜索广告的处理方式,更方便与静态广告同步更新
更新 广告效果报表由原来的图片更改为Flash模式
更新 去掉了中文字体包,暂时用不上

新增 专题系统中表单改动判断机制,数据改动后会提示保存更改
新增 风格皮肤自动识别功能,并新增风格预览图片
新增 专题系统刷新窗口前会提示保存数据
新增 为表单等应用增加图片上传支持,方便实用
新增 表单用户验证选项:匿名提交/注册用户提交
新增 表单提交验证选项:Cookies 验证/IP 验证
新增 专题系统模块:RSS,Iframe,HTML
新增 专题系统皮肤自动识别功能
新增 系统变量专用配置文件
新增 文件缓存目录不存在时自动创建的功能
新增 康盛UCenter整合功能,能使用UCenter中的用户进行登录操作(提交表单)

+--------------------------------------+
VeryIDE Apps 1.5.4 Build 2009.05.16
+--------------------------------------+

更新 广告编辑中将不常用选项进行隐藏来节省版面,并可手动开启
更新 将版本控制文件从原来的配置中独立出来,方便以后进行更新
更新 将广告分类进行了XML缓存,减少了大量重复数据查询
更新 在广告位编辑页面增加"分类"与"广告位"说明提示
更新 广告主JS文件新增对GBK编码的支持
更新 重新规划所有应用的皮肤(CSS)布局,统一命名规划

修正 试题系统对选项正确值设置的错误的问题
修正 选票系统删除用户时没有重新统计票数的BUG
修正 UBB生成代码中无引号问题,顺利通过W3C验证
修正 部分皮肤风格在IE6下出现横向滚动条问题
修正 UBB编辑器因CSS变动无法正常显示的问题
修正 UBB中链接解析的正则表达式,之前的在多链接下会出现问题
修正 1024*768分辨率下Ajax窗口没有居中显示的问题
修正 上一版本中缓存目录缺少image文件夹的问题
修正 多个应用中默认皮肤对TEXTAREA宽度定义过宽的问题
修正 广告系统主JS在页面没有DTD时会脚本错误的问题
修正 表单系统查看结果中的附加信息报出来的PHP错误

新增 抽奖系统中的用户提交时间范围选择
新增 投票系统IP验证功能,防止恶意刷票
新增 5 套选票皮肤风格
新增 将 Flash 内容 方便的加入页面中,更好的页面效果 
新增 应用页面点击次数统计 
新增 广告共享功能,可以将一个广告同时发布到多个广告位 
新增 应页页面外部统计代码配置项,方便在页面中插入统计功能 
新增 在配置文件中增加全局统计代码的设置

+--------------------------------------+
VeryIDE Apps 1.5.3 Build 2009.05.03
+--------------------------------------+

修正 IE6出现横向滚动条的BUG
修正 广告效果分析报告中点击为0时抛出的BUG
修正 VeryIDE 系统资源存放不合理的问题，新增目录：resources
修正 "滑出广告"高度尺寸会计算错误的情况
修正 分页样式CSS标签错误

新增 整套ICON图标,统一UI展示
新增 Favicon地址栏图标,用于广告统计中搜索引擎标识
新增 "在线 Banner 制作"工具快速链接
新增 广告点击统计页新增浏览器前置图标、搜索引擎图标以及地区源图标
新增 表单等应用用户列表数据分页功能

+--------------------------------------+
VeryIDE Apps 1.5.2 Build 2009.04.24
+--------------------------------------+

更新 重写了后台HTML结构，风格更兼容与统一
更新 重构了登录失效时弹出的登录窗口
更新 部分表单模块在显示参与人数上有作调整,在未收集用户信息时会隐藏统计
更新 强化了系统日志功能,新增上传图片日志
更新 欢迎页当前日期时间显示即时刷新效果,去掉了冗余代码
更新 UBB编辑器新增复制的HTML转UBB代码功能
更新 UBB编辑器新增已输入字符长度（字节）统计功能
更新 皮肤选中后可以直接预览看效果,不会保存后才会有效果显示
更新 模块管理中增加 模块扫描 功能,快速安装新模块
更新 部分JS函数返回值采用JSON规范,与旧的调用方式相兼容
更新 用户信息编辑功能,可以修改用户提交的输入数据

修正 在PHP安全模式下验证码显示出错的问题
修正 安装时创建数据失败也会提示安装成功的BUG
修正 广告文件跨站引用路径出错的BUG,感谢 ＲoＢin 一直帮忙测试
修正 广告缓存文件和图片文件路径中多余的相对路径
修正 左侧菜单滚动条在IE6中错位的问题
修正 表单系统中删除用户时未同时更新相关选项的统计BUG
修正 皮肤风格在1024下的右侧顶部菜单无法显示的BUG
修正 文件上传按钮在Opera下错位的问题
修正 选票应用用户信息无法记录的问题

新增 PHP类包,包括:图片处理,Excel生成,MySQL操作,Access数据库支持和模板引擎等等
新增 在线安装VeryIDE脚本，可以方便的在线进行安装
新增 目录权限检查，每当目录权限缺少时会自动提示
新增 模块管理功能，可以开启或关闭部分模块
新增 实用UBB编辑器，可以自定义菜单内容
新增 内容帮助文档(FAQ)，集合了在使用过程中一些常见问题解答和操作技巧
新增 精巧的 KindEditor 所见即所得在线编辑器
新增 快速帮助功能,可以快速查看功能的使用说明
新增 在线安装 VeryIDE 更新 (执行MySQL 语句) 功能
新增 表单两套风格皮肤:彩虹和多彩轨迹
新增 与表单等系统结合使用的抽奖系统
新增 广告效果报表(图表)生成:月份分析 | 日月分析 | 时段分析 | 周分析 | 关键字分析 | 搜索源分析
新增 固定表头功能,用于辅助大量数据报表的阅读（FF暂时兼容不理想）
新增 滑动广告展现形式,可控显示时间

+--------------------------------------+
VeryIDE Apps 1.0.0 
+--------------------------------------+
VeryIDE Apps 的第一个版本，希望VeryIDE 能够能够为您带来全新的使用体验 
